Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZTreeMenuOperator Class Reference

## Public Member Functions
| __construct ( $name='treemenu')
| operatorList ()
| namedParameterList ()
| modify ( $tpl, $operatorName, $operatorParameters, $rootNamespace, $currentNamespace, &$operatorValue, $namedParameters, $placement)

## Public Attributes
| $Operators

## Detailed Description

Definition at line 11 of file eztreemenuoperator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZTreeMenuOperator::__construct | ( |  | $name = `'treemenu'` | ) |

Constructor

Parameters

  string | $name |

Definition at line 18 of file eztreemenuoperator.php.

## Member Function Documentation

## ◆ modify()

eZTreeMenuOperator::modify | ( |  | $tpl,
|  |  | $operatorName,
|  |  | $operatorParameters,
|  |  | $rootNamespace,
|  |  | $currentNamespace,
|  | & | $operatorValue,
|  |  | $namedParameters,
|  |  | $placement
| ) |  |

Fill objects with attributes, speed boost, only use if load_data_map is true

Fill objects with attributes, speed boost, only use if load_data_map is true

Definition at line 65 of file eztreemenuoperator.php.

References eZContentObjectTreeNode\fetch(), eZContentObject\fillNodeListAttributes(), eZContentObjectTreeNode\subTreeByNodeID(), and eZDebug\writeNotice().

## ◆ namedParameterList()

eZTreeMenuOperator::namedParameterList | ( |  | ) |

See eZTemplateOperator::namedParameterList()

Definition at line 34 of file eztreemenuoperator.php.

## ◆ operatorList()

eZTreeMenuOperator::operatorList | ( |  | ) |

Returns the operators in this class.

Definition at line 26 of file eztreemenuoperator.php.

References $Operators.

## Member Data Documentation

## ◆ $Operators

eZTreeMenuOperator::$Operators

Definition at line 250 of file eztreemenuoperator.php.

Referenced by operatorList().

The documentation for this class was generated from the following file:

- eztreemenuoperator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.